
From: Kevin Corry <kevcorry@us.ibm.com>

Log an error if the target has unknown target type, or zero length.


---

 25-akpm/drivers/md/dm-table.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/md/dm-table.c~dm-log-an-error-if-the-target-has-unknown-target-type drivers/md/dm-table.c
--- 25/drivers/md/dm-table.c~dm-log-an-error-if-the-target-has-unknown-target-type	Mon Apr 12 13:48:50 2004
+++ 25-akpm/drivers/md/dm-table.c	Mon Apr 12 13:48:50 2004
@@ -663,12 +663,14 @@ int dm_table_add_target(struct dm_table 
 
 	if (!len) {
 		tgt->error = "zero-length target";
+		DMERR(": %s\n", tgt->error);
 		return -EINVAL;
 	}
 
 	tgt->type = dm_get_target_type(type);
 	if (!tgt->type) {
 		tgt->error = "unknown target type";
+		DMERR(": %s\n", tgt->error);
 		return -EINVAL;
 	}
 
@@ -705,7 +707,7 @@ int dm_table_add_target(struct dm_table 
 	return 0;
 
  bad:
-	printk(KERN_ERR DM_NAME ": %s\n", tgt->error);
+	DMERR(": %s\n", tgt->error);
 	dm_put_target_type(tgt->type);
 	return r;
 }

_
